import 'package:phrase/src/cache/phrase_cache.dart';
import 'package:phrase/src/phrase_prefs.dart';
import 'package:shared_preferences/shared_preferences.dart';

class PhraseWebCache implements PhraseCache {
  PhraseWebCache({
    GetSharedPreferencesCallback? getSharedPreferencesCallback,
  }) : _getSharedPreferences =
            getSharedPreferencesCallback ?? SharedPreferences.getInstance;

  final GetSharedPreferencesCallback _getSharedPreferences;

  @override
  Future<String?> read(String fn) async {
    final SharedPreferences prefs = await _getSharedPreferences();
    return prefs.getString(fn);
  }

  @override
  Future<void> write(String fn, String contents) async {
    final SharedPreferences prefs = await _getSharedPreferences();
    await prefs.setString(fn, contents);
  }
}
